<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Ejemplo3: v-if</title>
</head>
<body>
    <div id="app">
        <ul v-if="mostrar">
            <li v-for="(show,index) in tvshows" v-bind:key="index">
                {{index+1}}. <strong>
                    {{show.name}}
                </strong> ({{ show.seasons}} temporadas)
            </li>
        </ul>
        <div v-else="mostrar">No hay datos que mostrar</div>
    </div>
    <script src="https://unpkg.com/vue@next"></script>
  
    <script>
        //Creamos una aplicación VUE.
        const app = Vue.createApp({
            data() {
                return {
                    mostrar: true,
                    //Array de objetos
                    tvshows:[
                        {name:'Game of Thrones', seasons: 7},
                        {name:'Breaking Bad', seasons: 5},
                        {name:'Lost', seasons: 6},
                        {name:'Ozark', seasons: 4}

                    ] 
                }
            }
        })
        app.mount('#app')
    </script>
    
</body>
</html>